Webhook

Upsert tenant webhook config

Upserts the tenant webhook config. The secret is write-only and never returned; omit or send an empty string to keep the existing secret. Accessible with WebhookUpdate + tenant access.

PUT
/api/v2/tenants/{tenantId}/webhook

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

Tenant UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/tenants/0c62ac53-56e1-43c1-bdcc-fcc7b9c3c8e9/webhook" \  -H "Content-Type: application/json" \  -d '{    "url": "https://tenant.example.com/hooks/b2t",    "enabled": true  }'
Empty
{  "errors": {    "name": "Empty value"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}